Skip to main content
PATCH
Update Staff

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required

The ID of the entity for this request.

Example:

5

Body

application/json
CategoryId
number | null

Represents the identifier for the category to which a staff member belongs.

dateOfHire

Records the day a staff member was employed.

dateOfTermination

Records the specific day a staff member's employment was ended.

jobTitle
string

Contains the professional role or position held by each staff member.

JobTitleId
number | null

Represents the unique identifier associated with a specific job title for each staff member.

salary
number | null

Represents the amount of money that a staff member earns on a regular basis.

SalaryPeriodId
number | null

Identifies the frequency at which a staff member's salary is paid.

Response

200 - application/json

Updated Staff

dateOfHire
required

Records the day a staff member was employed.

dateOfTermination
required

Records the specific day a staff member's employment was ended.

id
number
required

Unique identifier.

PersonId
number
required

Unique identifier for each staff member.

salary
number | null
required

Represents the amount of money that a staff member earns on a regular basis.

SalaryPeriodId
number | null
required

Identifies the frequency at which a staff member's salary is paid.